/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package utils;

import com.jme3.math.FastMath;
import com.jme3.math.Vector3f;
import java.sql.Timestamp;
import java.text.DateFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 *
 * @author alexpardofernandez
 */
public class Data {

    private float [] acc;
    private float [] gyro;
    private float [] mag;
    public float timestamp;
    private int dev;
    
    public Data(float[] acc, float[] gyro, float[] mag, String time, int dev) throws ParseException{
        this.acc = acc;
        this.gyro = gyro;
        this.mag = mag;
        DateFormat df = new SimpleDateFormat("HH:mm:ss.SSS");
        this.timestamp = df.parse(time).getTime();
        this.dev = dev;
        
    }
    
    public float[] getAcc() {
        return acc;
    }

    public float[] getGyro() {
        return gyro;
    }

    public float[] getMag() {
        return mag;
    }


    public int getDev() {
        return dev;
    }

    public void setDev(int dev) {
        this.dev = dev;
    }
    
    
    
}
